=== debian/changelog ===
ms-eater (0.3.4-1) jessie; urgency=medium

  * new version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Sat, 21 Jan 2017 20:56:57 +0100

ms-eater (0.3.3-2) jessie; urgency=medium

  * package fix

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 14:21:06 +0100

ms-eater (0.3.3-1) jessie; urgency=medium

  * lots of improvements

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Wed, 07 Dec 2016 13:55:54 +0100

ms-eater (0.2.0-1) jessie; urgency=medium

  * TIC mean on MS1 MS2, bug fixed in TSV export

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 13 Nov 2015 10:05:45 +0100

ms-eater (0.1.0-4) jessie; urgency=medium

  * better MS eater

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Thu, 22 Oct 2015 10:29:13 +0200

ms-eater (0.1.0-3) jessie; urgency=medium

  * nouvelle version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Tue, 13 Oct 2015 16:43:17 +0200

ms-eater (0.1.0-2) jessie; urgency=medium

  * new version

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Mon, 28 Sep 2015 15:46:20 +0200

ms-eater (0.1.0-1) jessie; urgency=medium

  * first debian package

 -- Olivier Langella <Olivier.Langella@moulon.inra.fr>  Fri, 25 Sep 2015 22:08:12 +0200
