=== debian/changelog ===
ms-eater (0.3.5-1) stretch; urgency=medium

  * first stretch package

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 29 Jun 2017 10:26:08 +0200
