=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: ms-eater
-Maintainer: Olivier Langella <Olivier.Langella@moulon.inra.fr>
+Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
 Homepage: http://pappso.inra.fr/bioinfo
 Section: libs
 Priority: optional
