=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DESTDIR=$(CURDIR)/debian/tmp
#%:
#        dh $@ --with python3 --buildsystem=cmake


configure: configure-stamp
configure-stamp:
	cmake -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release .
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#$(MAKE) doc
	#docbook-to-man debian/beads.sgml > beads.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp CMakeCache.txt

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) DESTDIR=$(DESTDIR) install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=$(DESTDIR) --list-missing
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	dh_python3

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
