## ms-eater 0.3.6-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SET(MSEATER_VERSION_MAJOR "0")
 SET(MSEATER_VERSION_MINOR "3")
-SET(MSEATER_VERSION_PATCH "5")
+SET(MSEATER_VERSION_PATCH "6")
 SET(MSEATER_VERSION "${MSEATER_VERSION_MAJOR}.${MSEATER_VERSION_MINOR}.${MSEATER_VERSION_PATCH}")
 
 # Set the CMAKE_PREFIX_PATH for the find_library fonction when using non
