=== debian/changelog ===
ms-eater (0.3.6-1) buster; urgency=medium

  * first buster package
  * cycle duration

 -- Olivier Langella <olivier.langella@u-psud.fr>  Sat, 05 Oct 2019 08:23:06 +0200
