=== debian/changelog ===
ms-eater (0.3.8-1) bullseye; urgency=medium

  * update

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 17 Feb 2023 10:47:46 +0100

ms-eater (0.3.7-2) bullseye; urgency=medium

  * fix

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 09:36:24 +0100

ms-eater (0.3.7-1) bullseye; urgency=medium

  * new	bullseye

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 21 Dec 2021 09:25:11 +0100
