=== debian/control ===
Source: ms-eater
Maintainer: Olivier Langella <olivier.langella@u-psud.fr>
Homepage: http://pappso.inra.fr/bioinfo
Section: libs
Priority: optional
Build-Depends: debhelper (>=9), cmake (>= 2.6), dh-python, python3, python3-pymzml
Standards-Version: 3.9.4

Package: ms-eater
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends}, python3-matplotlib, python3-qtpy, python3-pymzml
Description: set of proteomic tools used on PAPPSO. computes peptide mass, isotope ratio,
 fragmentation products, protein grouper.
